Bug 22952 - Markup error in OPAC suggestions template
Summary: Markup error in OPAC suggestions template
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 15:50 UTC by Owen Leonard
Modified: 2019-06-11 16:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22952: Markup error in OPAC suggestions template (2.53 KB, patch)
2019-05-21 16:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22952: Markup error in OPAC suggestions template (2.58 KB, patch)
2019-05-24 20:47 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22952: Markup error in OPAC suggestions template (2.63 KB, patch)
2019-05-31 18:04 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22952: Markup error in OPAC suggestions template (2.69 KB, patch)
2019-05-31 19:36 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 22952: Markup error in OPAC suggestions template (2.74 KB, patch)
2019-05-31 20:00 UTC, Arthur Bousquet
Details | Diff | Splinter Review
Bug 22952: Markup error in OPAC suggestions template (2.80 KB, patch)
2019-06-02 13:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 15:50:58 UTC
There is a markup error in the OPAC suggestions template (opac-suggestions.tt) which is causing a validation errors:

 - "End tag div seen, but there were open elements."
 - "Unclosed element span."
Comment 1 Owen Leonard 2019-05-21 16:09:59 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-05-24 20:47:22 UTC
Created attachment 90092 [details] [review]
Bug 22952: Markup error in OPAC suggestions template

This patch makes a minor correction to the OPAC suggestions template in
order to quiet an error returned by the HTML validator.

To reproduce the problem you should have the 'suggestion' system
preference turned on, and you should be logged in to the OPAC as a user
who has submitted one or more suggestions. View the "your purchase
suggestions" page in the OPAC. Run the page through the W3C validation
service: https://validator.w3.org. Either by pasting in the URL for the
search results (if web accessible) or by viewing source, copying, and
pasting into "Validate by Direct Input."

This patch specifically addresses these errors:

 - "End tag div seen, but there were open elements."
 - "Unclosed element span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Bin Wen 2019-05-31 18:04:43 UTC
Created attachment 90242 [details] [review]
Bug 22952: Markup error in OPAC suggestions template

This patch makes a minor correction to the OPAC suggestions template in
order to quiet an error returned by the HTML validator.

To reproduce the problem you should have the 'suggestion' system
preference turned on, and you should be logged in to the OPAC as a user
who has submitted one or more suggestions. View the "your purchase
suggestions" page in the OPAC. Run the page through the W3C validation
service: https://validator.w3.org. Either by pasting in the URL for the
search results (if web accessible) or by viewing source, copying, and
pasting into "Validate by Direct Input."

This patch specifically addresses these errors:

 - "End tag div seen, but there were open elements."
 - "Unclosed element span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 Nadine Pierre 2019-05-31 19:36:44 UTC
Created attachment 90249 [details] [review]
Bug 22952: Markup error in OPAC suggestions template

This patch makes a minor correction to the OPAC suggestions template in
order to quiet an error returned by the HTML validator.

To reproduce the problem you should have the 'suggestion' system
preference turned on, and you should be logged in to the OPAC as a user
who has submitted one or more suggestions. View the "your purchase
suggestions" page in the OPAC. Run the page through the W3C validation
service: https://validator.w3.org. Either by pasting in the URL for the
search results (if web accessible) or by viewing source, copying, and
pasting into "Validate by Direct Input."

This patch specifically addresses these errors:

 - "End tag div seen, but there were open elements."
 - "Unclosed element span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 5 Arthur Bousquet 2019-05-31 20:00:14 UTC
Created attachment 90259 [details] [review]
Bug 22952: Markup error in OPAC suggestions template

This patch makes a minor correction to the OPAC suggestions template in
order to quiet an error returned by the HTML validator.

To reproduce the problem you should have the 'suggestion' system
preference turned on, and you should be logged in to the OPAC as a user
who has submitted one or more suggestions. View the "your purchase
suggestions" page in the OPAC. Run the page through the W3C validation
service: https://validator.w3.org. Either by pasting in the URL for the
search results (if web accessible) or by viewing source, copying, and
pasting into "Validate by Direct Input."

This patch specifically addresses these errors:

 - "End tag div seen, but there were open elements."
 - "Unclosed element span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>


 Current status: Signed Off

 Current patch-complexity: Trivial patch
Comment 6 Katrin Fischer 2019-06-02 13:37:35 UTC
Created attachment 90267 [details] [review]
Bug 22952: Markup error in OPAC suggestions template

This patch makes a minor correction to the OPAC suggestions template in
order to quiet an error returned by the HTML validator.

To reproduce the problem you should have the 'suggestion' system
preference turned on, and you should be logged in to the OPAC as a user
who has submitted one or more suggestions. View the "your purchase
suggestions" page in the OPAC. Run the page through the W3C validation
service: https://validator.w3.org. Either by pasting in the URL for the
search results (if web accessible) or by viewing source, copying, and
pasting into "Validate by Direct Input."

This patch specifically addresses these errors:

 - "End tag div seen, but there were open elements."
 - "Unclosed element span."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-06-02 13:37:53 UTC
That's a lot of sign-offs!

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>
Comment 8 Martin Renvoize 2019-06-04 09:20:12 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-06-10 15:02:13 UTC
Pushed to 19.05.x for 19.05.01
Comment 10 Lucas Gass 2019-06-11 16:40:27 UTC
backported to 18.11.x for 18.11.07